| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Attributes | List of all members
ExtArgSelector Class Reference
Inheritance diagram for ExtArgSelector:

## Public Slots
virtual void | setDefaultValue ()
Public Slots inherited from ExtcapArgument
virtual void | setDefaultValue ()
void | onBoolChanged (bool)
void | onIntChanged (int)
void | onStringChanged (QString)

## Public Member Functions
| ExtArgSelector (extcap_arg *argument, QObject *parent=Q_NULLPTR)
virtual QWidget * | createEditor (QWidget *parent)
virtual QString | value ()
virtual bool | isValid ()
virtual bool | isSetDefaultValueSupported ()
Public Member Functions inherited from ExtcapArgument
| ExtcapArgument (QObject *parent=Q_NULLPTR)
| ExtcapArgument (extcap_arg *argument, QObject *parent=Q_NULLPTR)
| ExtcapArgument (const ExtcapArgument &obj)
virtual QWidget * | createLabel (QWidget *parent=0)
virtual extcap_arg * | argument ()
virtual QString | call ()
virtual QString | defaultValue ()
bool | isDefault ()
bool | isRequired ()
bool | isSufficient ()
bool | reload ()
QString | prefKey (const QString &device_name, const QString &option_name, const QString &option_value)
virtual QString | prefValue ()
void | resetValue ()
virtual QString | group () const
virtual int | argNr () const

## Protected Attributes
QComboBox * | boxSelection
Protected Attributes inherited from ExtcapArgument
ExtcapValueList | values
extcap_arg * | _argument
QLabel * | _label
int | _number
const QString | label_style

## Additional Inherited Members
Signals inherited from ExtcapArgument
void | valueChanged ()
Static Public Member Functions inherited from ExtcapArgument
static ExtcapArgument * | create (extcap_arg *argument=Q_NULLPTR, QObject *parent=Q_NULLPTR)
Protected Member Functions inherited from ExtcapArgument
bool | fileExists ()
ExtcapValueList | loadValues (QString parent)
bool | reloadValues ()

## Member Function Documentation

## ◆ createEditor()

QWidget * ExtArgSelector::createEditor | ( | QWidget * | parent | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ isSetDefaultValueSupported()

bool ExtArgSelector::isSetDefaultValueSupported | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ isValid()

bool ExtArgSelector::isValid | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ value()

QString ExtArgSelector::value | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/extcap_argument.h
- /builds/wireshark/wireshark/ui/qt/extcap_argument.cpp